Bug 1936539 - mDNS floods the baremetal network
Summary: mDNS floods the baremetal network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Ben Nemec
QA Contact: Oleg Sher
URL:
Whiteboard:
Depends On: 1898097
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-08 17:38 UTC by OpenShift BugZilla Robot
Modified: 2021-04-06 19:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Improper implementation of multicast DNS. The library we used did not correctly rate-limit responses. Consequence: Excessive multicast traffic. Fix: Added rate-limiting to zeroconf library. Result: Significantly reduced multicast traffic.
Clone Of:
Environment:
Last Closed: 2021-03-25 04:45:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift mdns-publisher pull 27 0 None open [release-4.6] Bug 1936539: Update zeroconf to pull in rate-limiting fix 2021-03-08 17:38:51 UTC
Red Hat Product Errata RHBA-2021:0825 0 None None None 2021-03-25 04:45:18 UTC

Comment 5 errata-xmlrpc 2021-03-25 04:45:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.22 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0825


Note You need to log in before you can comment on or make changes to this bug.